<?php
/*
Plugin Name: Lightbox pour galeries en mosaïque
Description: Ajoute rel="lightbox" aux galeries en mosaïque. Evite d'utiliser le carousel de Jetpack. Permet d'utiliser un autre plugin lightbox.
Author: Yiannis Girod - adapatation du script de <a href="cf.: http://wordpress.org/support/topic/add-prettyphoto-rel-to-tiled-gallery#post-4782875">Jan Dembowski</a>.
*/

add_filter( 'the_content', 'mh_add_lightbox' , 15 );

function mh_add_lightbox( $text ) {

        // RegEx to find the right <a href=...><img data-attachment-id=... and put that into an array
        $mh_regex = "/<a href=\"(http|https):\/\/[a-zA-Z0-9-.\/\?=]+\"><img\ data-attachment-id=/";

        // Use that RegEx and populate the hits into an array
        preg_match_all( $mh_regex , $text , $mh_matches );

        // If there's any hits then loop though those and replace those hits
        for ( $mh_count = 0; $mh_count < count( $mh_matches[0] ); $mh_count++ )
                {
                        $mh_old = $mh_matches[0][$mh_count];
                        $mh_new = str_replace( '><img data' , ' rel="lightbox"><img data' , $mh_old );//qwe utiliser lightbox, prettyphoto, etc
                        $text = str_replace( $mh_old  , $mh_new , $text );
                }
        // Return any substitutions
        return $text;
}